Package com.tibco.patterns.learn.api.project

## Class FieldStats

- java.lang.Object
- - com.tibco.patterns.learn.api.project.FieldStats

-     public final class FieldStats
      extends java.lang.Object

  Stores statistics for one table field. Objects of FieldStats are passed to/from Learn API.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FieldStats()` | Creates a blank object.
    `FieldStats​(com.tibco.patterns.learn.jaxb.project.FileFieldType field)` | Copies information from the XML field to this object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getDistinctValues()` |
    `java.util.List<ValueFreq>` | `getFrequentValues()` |
    `float` | `getNonEmptyRows()` |
    `void` | `setDistinctValues​(int distinctValues)` |
    `void` | `setFrequentValues​(java.util.List<ValueFreq> frequentValues)` |
    `void` | `setNonEmptyRows​(float nonEmptyRows)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldStats

          public FieldStats()

      Creates a blank object.

    - #### FieldStats

          public FieldStats​(com.tibco.patterns.learn.jaxb.project.FileFieldType field)

      Copies information from the XML field to this object

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getNonEmptyRows

          public float getNonEmptyRows()

      Returns:
        the number of non-empty rows.

    - #### setNonEmptyRows

          public void setNonEmptyRows​(float nonEmptyRows)

      Parameters:
        `nonEmptyRows` - - the number of non-empty rows.

    - #### getDistinctValues

          public int getDistinctValues()

      Returns:
        the number of distinct values.

    - #### setDistinctValues

          public void setDistinctValues​(int distinctValues)

      Parameters:
        `distinctValues` - - the number of distinct values.

    - #### getFrequentValues

          public java.util.List<ValueFreq> getFrequentValues()

      Returns:
        list of frequent field values.

    - #### setFrequentValues

          public void setFrequentValues​(java.util.List<ValueFreq> frequentValues)

      Parameters:
        `frequentValues` - - list of frequent field values.